<template>
  <nav class="navbar navbar-expand-lg shadow-sm" style="background-color: #3C394A;">
    <div class="container">
      <a class="navbar-brand" href="#"><img src="@/assets/icon.png" width="60px"></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse text-center" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item mx-1">
            <router-link class="nav-link" to="/home">Inicio</router-link>
          </li>
          <li class="nav-item mx-1">
            <router-link class="nav-link" to="/rule">Reglas</router-link>
          </li>
          <li class="nav-item mx-1">
            <router-link class="nav-link" to="/decision">Decisiones</router-link>
          </li>
          <li class="nav-item mx-1">
            <router-link class="nav-link" to="/fault">Reportes</router-link>
          </li>
          <li class="nav-item mx-1">
            <router-link class="nav-link" to="/expense">Gastos</router-link>
          </li>
          <li class="nav-item mx-1">
            <router-link class="nav-link" to="/code">Familia</router-link>
          </li>    
        </ul>
        <ul class="navbar-nav ml-md-auto justify-self-end"> <li class="nav-item ">
          <button type="submit" @click="logout" class="btn btn-outline-warning">CERRAR SESIÓN</button>
        </li>
      </ul>
    </div>
  </div>
</nav>
</template>

<script>
  import { AUTH } from '../main.js';
  import { vue } from "../main.js";
  import { RTDB } from "../main.js";
  export default {
    name: "Navbar",
    components: {},
    data() {
      return {
        code: "prueba"
      };
    },
    methods: {
      logout(){
       console.log("Cerrando sesión...");
       let _self = this;
       AUTH.signOut();
       console.log("Se ha cerrado la sesión.");
       _self.$router.push({name:'login'})
       console.log("Redirigido al login");
     },
   },
 };
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
nav a{
  color: #fafafa;
  font-size: 1.2rem;
}
nav a:hover{
  color: #45b5b5 !important;
}
.btn-outline-warning {
  color: #009A9A;
  border-color: #009A9A;
}
.btn-outline-warning:hover {
  background-color: #009A9A;
  color: #fafafa;
  border-color: #fafafa;
}
.container{
  max-width: 960px;
}
</style>
